class SurveySection
  include Mongoid::Document
  include Mongoid::Timestamps

  field :section_title, localize: true
  field :section_description, localize: true
  field :order, type: Integer
  field :start_question, type: Integer
  field :end_question, type: Integer
  field :qnum_mode, type: Integer, default: 0

  belongs_to :questionnaire_survey
end